Name:           update-alternatives
Version:        1.9.0
Release:        %mkrel 10
Summary:        Alternative management system
License:        GPL
Group:          System/Packaging
URL:            http://svn.mandriva.com/cgi-bin/viewvc.cgi/soft/update-alternatives/  
Source0:        %{name}-%{version}.tar.bz2
Buildarch:      noarch
# explicit file provides
Provides:       %{_sbindir}/alternatives
Provides:       %{_sbindir}/update-alternatives
Requires:	perl-base

%description
Utility for managing concurent software. Original version comes from
Debian but has been patched by Mandriva for use with rpm systems.

%prep
%setup -q

%install
%{makeinstall}

%{__mkdir_p} %{buildroot}%{_sysconfdir}/alternatives
%{__mkdir_p} %{buildroot}%{_localstatedir}/lib/rpm/alternatives

(cd %{buildroot}%{_localstatedir}/lib && %{__ln_s} rpm/alternatives alternatives)
(cd %{buildroot}%{_sbindir} && %{__ln_s} update-alternatives alternatives)

%files
%attr(0755,root,root) %{_sbindir}/alternatives
%attr(0755,root,root) %{_sbindir}/update-alternatives
%{_mandir}/man8/update-alternatives.8*
%dir %{_localstatedir}/lib/alternatives
%dir %{_localstatedir}/lib/rpm/alternatives
%dir %{_sysconfdir}/alternatives


%changelog

* Sun Feb 17 2013 tv <tv> 1.9.0-10.mga3
+ Revision: 398882
- requires perl-base (mga#9047)

* Tue Jan 22 2013 fwang <fwang> 1.9.0-9.mga3
+ Revision: 390820
- update rpm group

* Mon Jan 14 2013 umeabot <umeabot> 1.9.0-8.mga3
+ Revision: 385078
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 15 2011 pterjan <pterjan> 1.9.0-7.mga1
+ Revision: 19462
- Drop obsolete Conflicts
- imported package update-alternatives

